---
schema_version: "1"
id: 844a34b408aa43b63eafe8ed9060ec0c8608d3a72dd101a6e3d63101c82417d9
title: Anypoint Platform との相互認証の設定
collection: mulesoft
version: current
locale: ja-jp
portal_url: https://docs.salesforce.com/mulesoft/current/ja-jp/runtime-fabric/1.13/config-mutual-auth.md
canonical_url: https://docs.mulesoft.com/jp/runtime-fabric/1.13/config-mutual-auth
source_site: docs.mulesoft.com
content_type: documentation
content_hash: 66255c468f3e08a6ec08d40c52d681f4495798805ab68190ba91d7c5e9d19ac7
description: MuleSoft Documentation Site
release: "1.13"
latest: false
---
# Anypoint Platform との相互認証の設定

<table>
<tbody><tr>
<td class="icon">
<i class="fa icon-important" title="Important"></i>
</td>
<td class="content">
<div class="paragraph">
<p>Runtime Fabric バージョン 1.6.45 以降では Runtime Fabric と Anypoint Platform コントロールプレーンを接続するための相互認証がデフォルトで有効になっています。相互認証を有効にするための次の手順は、1.6.45 より前のバージョンにのみ適用されます。</p>
</div>
</td>
</tr>
</tbody></table>

相互認証により Runtime Fabric と Anypoint Platform 間の通信のセキュリティが向上するため、相互認証を強くお勧めします。

バージョン 1.6.45 より前の Runtime Fabric では、Runtime Fabric API を使用して相互認証を有効にします。バージョン 1.3.60 以降の Runtime Fabric では、Runtime Manager を使用して相互認証を有効にします。

## [](#始める前に)始める前に

相互認証を有効化する前に、次のエンドポイントとポートにすべての Runtime Fabric コントローラーノードとワーカーノードからアクセスできることを確認します。

- US コントロールプレーン:
    
    - `configuration-resolver.prod.cloudhub.io:443`
- EU コントロールプレーン:
    
    - `configuration-resolver.prod-eu.msap.io:443`

相互認証を有効化する前に上記の要件を満たしておかないと、Runtime Fabric でアプリケーションデプロイメントを作成/管理するときにエラーが発生します。

[rtfctl](https://docs.mulesoft.com/jp/runtime-fabric/1.13/install-rtfctl)​ ユーティリティの最新バージョンを使用すると、すべての必要なエンドポイントに各 Runtime Fabric コントローラーノードからアクセスできることを検証できます。

cd /opt/anypoint/runtimefabric
./rtfctl update
./rtfctl test outbound-network --mutual-tls-check

## [](#runtime-manager-からの相互認証の有効化)Runtime Manager からの相互認証の有効化

1. Runtime Manager で適切な環境を選択し、​**\[Runtime Fabrics\]**​ をクリックします。
2. Runtime Fabric を選択します。
3. **\[Enable mutual authentication with Anypoint Platform connectivity (Anypoint Platform 接続との相互認証を有効にする)\]**​ の切替を ​**\[On (オン)\]**​ に設定します。

## [](#runtime-fabric-api-を使用した相互認証の有効化)Runtime Fabric API を使用した相互認証の有効化

Runtime Fabric ワークステーションで、次の cURL コマンドを実行します。

curl --location --request PATCH 'https://\[eu1\]anypoint.mulesoft.com/runtimefabric/api/organizations/<ORG-ID>/fabrics/<RUNTIME-FABRIC-ID>' --header 'Content-Type: application/json' --header 'Authorization: Bearer <TOKEN>' --data-raw '{"features": {"enhancedSecurity": true}}'

プレースホルダーを固有の値に置き換えます。

- <ORG-ID>
- <RUNTIME-FABRIC-ID>
- <TOKEN>